> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# 用語検索
> 用語を検索します。
公開状態のグループに属する公開状態の用語のみを返します。
## OpenAPI
````json POST /api/public/v1/cometa/glossary_terms/search
{
"openapi": "3.0.3",
"info": {
"title": "[ベータ] COMETA APIリファレンス",
"description": "COMETA APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"paths": {
"/api/public/v1/cometa/glossary_terms/search": {
"post": {
"summary": "用語検索",
"description": "用語を検索します。
\n公開状態のグループに属する公開状態の用語のみを返します。\n",
"operationId": "searchCometaGlossaryTerms",
"tags": [
"cometa_glossary_terms"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"q": {
"description": "検索クエリ文字列を指定します。",
"type": "string",
"example": "Gross Merchandise Value"
},
"glossary_group_id": {
"description": "検索対象を絞り込む用語集IDを指定します。",
"type": "integer",
"format": "int64",
"example": 7
},
"page": {
"description": "取得するページ番号を指定します。1始まり。",
"type": "integer",
"default": 1,
"example": 1
},
"page_size": {
"description": "1ページあたりの最大件数を指定します。",
"type": "integer",
"default": 20,
"minimum": 20,
"maximum": 100,
"example": 20
}
},
"required": [
"q"
]
}
}
}
},
"responses": {
"200": {
"description": "検索結果を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/cometa_glossary_term"
}
}
},
"required": [
"items"
]
},
{
"$ref": "#/components/schemas/cometa_pagination"
}
]
}
}
}
},
"400": {
"$ref": "#/components/responses/api_error_response"
},
"401": {
"$ref": "#/components/responses/401_response"
},
"403": {
"$ref": "#/components/responses/403_response"
}
}
}
}
},
"components": {
"schemas": {
"cometa_glossary_term": {
"title": "CometaGlossaryTerm",
"type": "object",
"properties": {
"id": {
"description": "用語のIDです。",
"type": "integer",
"format": "int64",
"example": 12345
},
"name": {
"description": "用語名です。",
"type": "string",
"example": "Gross Merchandise Value"
},
"description": {
"description": "用語の説明です。",
"type": "string",
"nullable": true,
"example": "一定期間に販売された商品の総額。"
},
"glossary_group_id": {
"description": "所属する用語集のIDです。",
"type": "integer",
"format": "int64",
"example": 7
},
"updated_at": {
"description": "最終更新日時 (ISO8601 / UTC) です。",
"type": "string",
"example": "2026-04-10T12:34:56Z"
}
},
"required": [
"id",
"name",
"glossary_group_id",
"updated_at"
]
},
"cometa_pagination": {
"title": "CometaPagination",
"type": "object",
"properties": {
"pagination": {
"type": "object",
"properties": {
"current_page": {
"description": "現在のページ番号です。1始まり。",
"type": "integer",
"example": 1
},
"page_size": {
"description": "1ページあたりの最大件数です。",
"type": "integer",
"example": 20
},
"total_count": {
"description": "検索条件にマッチした全件数です。",
"type": "integer",
"example": 42
}
},
"required": [
"current_page",
"page_size",
"total_count"
]
}
},
"required": [
"pagination"
]
}
},
"responses": {
"api_error_response": {
"description": "/api系の共通エラーレスポンス",
"content": {
"application/json": {
"schema": {
"title": "ApiErrorResponse",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "不正なリクエストです。"
}
}
}
}
}
},
"401_response": {
"description": "認証エラー",
"content": {
"application/json": {
"schema": {
"title": "ErrorResponse401",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "アカウント登録もしくはログインしてください。"
}
}
}
}
}
},
"403_response": {
"description": "認可エラー",
"content": {
"application/json": {
"schema": {
"title": "ErrorResponse403",
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "操作を実行する権限がありません。"
}
}
}
}
}
}
}
}
}
````